package com.kingdee.eas.custom.synctask.importService;

import com.kingdee.bos.BOSException;
import com.kingdee.eas.basedata.org.PositionInfo;
import com.kingdee.eas.custom.synctask.SyncTranForOAFacadeFactory;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.shr.base.syssetting.app.io.fileImport.ImportException;
import com.kingdee.shr.base.syssetting.app.io.impl.PositionImportService;
import org.apache.log4j.Logger;

/**
 * @Description TODO
 * @Date 2024/10/25 11:28
 * @Created by 30489
 */
public class PositionImportServiceEx extends PositionImportService {
    private static Logger logger = Logger.getLogger(PositionImportServiceEx.class);
    @Override
    protected void afterSubmitData(CoreBaseInfo coreBaseInfo) throws ImportException {
        super.afterSubmitData(coreBaseInfo);
        PositionInfo info = (PositionInfo) coreBaseInfo;
        String billIds = info.getId().toString();
        logger.error("PositionImportServiceEx---billds: " + billIds);
        try {
            SyncTranForOAFacadeFactory.getLocalInstance(this.getContext()).syncPositionToOA(billIds, null);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
